Check out the LimeSurvey source code on GitHub!

After upgrade from 1.71 to 1.91+ Survey/Group or Question Export does not work

More
5 years 6 months ago - 5 years 6 months ago #64647 by PeterDr1
Can someone provide some guidance on this pleeeeeease?

After recent upgrade from 1.71 to 1.91 (done by the administrator not me) Surveys from a 1.90 install on another server imported OK but when I try to export any survey or question or group from the new 1.91 upgrade on this server I get an LSS file of 79 bytes with this message only in its contents


"XMLWriter class not compiled into PHP, please contact your system administrator"

Server is a Linux server with Apache 2.0 handler
PHP version 5.2.11

I notice that the Configure command in the PHP Info data includes the commands '--disable-xmlreader' '--disable-xmlwriter' - is this likely to be the problem? Other causes?


PHPInfo.png
Last Edit: 5 years 6 months ago by PeterDr1.

Please Log in to join the conversation.

More
5 years 6 months ago #64649 by holch
Well, the error message says it all, the XMLWriter class is missing on your machine. As the administrator of the server to install it on the server.

I'm not a LimeSurvey GmbH member. I answer at the LimeSurvey forum in my spare time. No support via private message.
Some helpful links: Manual (EN) | Question Types | Workarounds
The following user(s) said Thank You: PeterDr1

Please Log in to join the conversation.

Imprint                   Privacy policy         General Terms & Conditions         Revocation information and revocation form